Package org.eclipse.jdt.core

# Class CheckDebugAttributes

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.eclipse.jdt.core.CheckDebugAttributes

All Implemented Interfaces:
  `Cloneable`

public final class CheckDebugAttributes extends org.apache.tools.ant.Task

An Ant task to find out if a class file or a jar contains debug attributes. If this is the case, the property contains the value "has debug" after the call.

`<eclipse.checkDebugAttributes property="hasDebug" file="${basedir}/bin/p/A.class"/>`

For more information on Ant check out the website at http://jakarta.apache.org/ant/ .

This is not intended to be subclassed by users.

Since:
  2.0

## Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`CheckDebugAttributes()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`
`void`
`setFile(String value)`
`void`
`setProperty(String value)`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CheckDebugAttributes

public CheckDebugAttributes()

## Method Details

### execute

public void execute() throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`

### setFile

public void setFile(String value)

### setProperty

public void setProperty(String value)